Bug 954074 - Review Request: RemoteBox - Open Source VirtualBox Client with Remote Management
Review Request: RemoteBox - Open Source VirtualBox Client with Remote Management
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Scott Talbert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-20 08:33 EDT by Christopher Meng
Modified: 2014-02-07 07:38 EST (History)
5 users (show)

See Also:
Fixed In Version: RemoteBox-1.1-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-08 22:29:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
swt: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-04-20 08:33:39 EDT
Spec URL: http://cicku.me/remotebox.spec
SRPM URL: http://cicku.me/remotebox-1.5-1.fc20.src.rpm
Description: VirtualBox is traditionally considered to be a virtualisation solution aimed at
the desktop as opposed to other solutions such as KVM, Xen and VMWare ESX which
are considered more server orientated solutions. While it is certainly possible
to install VirtualBox on a server, it offers few remote management features
beyond using the vboxmanage command line. RemoteBox aims to fill this gap by
providing a graphical VirtualBox client which is able to communicate with and
manage a VirtualBox server installation. RemoteBox achieves this by using the
vboxwebsrv feature of VirtualBox that allows its API to be accessed using a
protocol called SOAP, even across a network. RemoteBox is very similar in look
and feel to the native VirtualBox interface and allows you to perform most of
the same tasks, including accessing the display of guests – completely
remotely. In addition, because both VirtualBox and RemoteBox are supported on
many platforms you can for example manage a VirtualBox instance running on a
Windows server using the RemoteBox client installed on Linux or FreeBSD.

Fedora Account System Username: cicku
Comment 1 Volker Fröhlich 2013-06-02 14:01:42 EDT
error: (will be fatal in the future): value "remotebox.png" for key "Icon" in group "Desktop Entry" is an icon name with an extension, but there should be no extension as described in the Icon Theme Specification if the value is not an absolute path

Did you try to submit the desktop file? Did you ask them to include a license file yet?

Please give a rationale for AutoReq: no.

I'd suggest to use the _prefix and _docdir macros in your sed invocations.

You're not owning %{_datadir}/%{name}. Make "%{_datadir}/%{name}/*" "%{_datadir}/%{name}". That'll do!
Comment 2 Volker Fröhlich 2013-06-02 14:03:47 EDT
I noticed that the file remotebox states "Licenced under the terms of the GPL". This statement should better include the version.
Comment 3 Christopher Meng 2013-06-04 12:19:15 EDT
I'll wait for the author's response.
Comment 4 Christopher Meng 2013-06-06 14:06:05 EDT
(In reply to Volker Fröhlich from comment #1)
> error: (will be fatal in the future): value "remotebox.png" for key "Icon"
> in group "Desktop Entry" is an icon name with an extension, but there should
> be no extension as described in the Icon Theme Specification if the value is
> not an absolute path

Fixed.

> Did you try to submit the desktop file? Did you ask them to include a
> license file yet?

Quoted from author: "I may consider adding a .desktop file in the tarball in a future release, but it's perfectly legitimate to create your own."

License file quote:

"The GPL version is quite clearly stated in the file
share/remotebox/remotebox.xml and is viewable from the about menu. It's not necessary to include a specific LICENSE file. "

> Please give a rationale for AutoReq: no.

I don't know how to exclude the *.pl(RPM treated it as requires) as I've tried many solutions but they all seems useless...

> I'd suggest to use the _prefix and _docdir macros in your sed invocations.

Fixed.

> You're not owning %{_datadir}/%{name}. Make "%{_datadir}/%{name}/*"
> "%{_datadir}/%{name}". That'll do!

Thanks.

NEW SPEC: http://cicku.me/remotebox.spec
NEW SRPM: http://cicku.me/remotebox-1.5-2.fc20.src.rpm
Comment 5 Scott Talbert 2013-10-24 21:57:14 EDT
Will start review when you update spec.
Comment 6 Christopher Meng 2013-10-24 22:19:01 EDT
Rename as tarball name.
Filter out unneeded requires/provides.

NEW SPEC: http://cicku.me/RemoteBox.spec
NEW SRPM: http://cicku.me/RemoteBox-1.6-1.fc21.src.rpm
Comment 7 Christopher Meng 2013-10-25 01:13:38 EDT
I have concerns about using /usr/share or /usr/libexec for the location of *.pl files.

I don't want to use /usr/lib for storing *.pl, quoted from hierarchy:

/usr/libexec includes internal binaries that are not intended to be executed directly by users or shell scripts. Applications may use a single subdirectory under /usr/libexec.

At the moment I'm using /usr/share and I think it's fine IMHO, however if anyone can point me which one is better, I may change as well.
Comment 8 Scott Talbert 2013-10-27 19:57:57 EDT
I think /usr/share should be fine for *.pl.  'fedora-review' package, for example, uses /usr/share for all of its *.py files, which I think is similar.  So it seems fine.
Comment 9 Christopher Meng 2013-10-27 21:34:11 EDT
(In reply to Scott Talbert from comment #8)
> I think /usr/share should be fine for *.pl.  'fedora-review' package, for
> example, uses /usr/share for all of its *.py files, which I think is
> similar.  So it seems fine.

Thanks for your comment, hope you can finish the review soon! ;)
Comment 10 Scott Talbert 2013-10-27 22:19:34 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

Issues:
=======
[!]: License field should be GPLv2 (vs GPLv2+) - I did not see anything
indicating "or later version" unless I missed something.
[!]: A couple of minor spelling errors: virtualisation -> virtualization;
orientated -> oriented.
[!]: Packaging doesn't preserve the timestamps of the files that are getting
modified by sed.  I'm not sure if this is worth fixing, though?  You could
maybe get the timestamp with 'stat' and then reset it with 'touch' after the
sed operation.  Not sure how big a deal this is, though.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 20 files have unknown license. Detailed output of
     licensecheck in /home/talbert/fedora-
     review/954074-RemoteBox/licensecheck.txt (GPLv2+ vs GPLv2)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[!]: Spec file is legible and written in American English. (spelling errors)
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 348160 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: RemoteBox-1.6-1.fc21.noarch.rpm
          RemoteBox-1.6-1.fc21.src.rpm
RemoteBox.noarch: W: spelling-error %description -l en_US virtualisation -> visualization
RemoteBox.noarch: W: spelling-error %description -l en_US vboxmanage -> manageable
RemoteBox.noarch: W: spelling-error %description -l en_US vboxwebsrv 
RemoteBox.noarch: W: no-manual-page-for-binary remotebox
RemoteBox.src: W: spelling-error %description -l en_US virtualisation -> visualization
RemoteBox.src: W: spelling-error %description -l en_US vboxmanage -> manageable
RemoteBox.src: W: spelling-error %description -l en_US vboxwebsrv 
2 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint RemoteBox
RemoteBox.noarch: W: spelling-error %description -l en_US virtualisation -> visualization
RemoteBox.noarch: W: spelling-error %description -l en_US vboxmanage -> manageable
RemoteBox.noarch: W: spelling-error %description -l en_US vboxwebsrv 
RemoteBox.noarch: W: no-manual-page-for-binary remotebox
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
RemoteBox (rpmlib, GLIBC filtered):
    /usr/bin/perl
    perl(:MODULE_COMPAT_5.18.1)
    perl(Carp)
    perl(Encode)
    perl(Exporter)
    perl(File::Basename)
    perl(File::Spec)
    perl(FindBin)
    perl(MIME::Base64)
    perl(POSIX)
    perl(SOAP::Lite)
    perl(lib)
    perl(strict)
    perl(vars)
    perl(warnings)
    perl-Gtk2
    perl-libwww-perl
    rdesktop
    xdg-utils



Provides
--------
RemoteBox:
    RemoteBox
    application()
    application(RemoteBox.desktop)



Source checksums
----------------
http://knobgoblin.org.uk/downloads/RemoteBox-1.6.tar.bz2 :
  CHECKSUM(SHA256) this package     : be50da66ae4b112bf977e940baa48a65c16dccdfc0196c8184b41dd89fb19789
  CHECKSUM(SHA256) upstream package : be50da66ae4b112bf977e940baa48a65c16dccdfc0196c8184b41dd89fb19789


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 954074
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Perl
Disabled plugins: Java, C/C++, Python, SugarActivity, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 11 Christopher Meng 2013-10-29 00:26:32 EDT
I don't think we need to preserve the timestamps of sed-ed files. (Some python programs also need to remove env lines, but we don't preserve timestamps actually.)

Others fixed at:

NEW SPEC: http://cicku.me/RemoteBox.spec
NEW SRPM: http://cicku.me/RemoteBox-1.6-2.fc21.src.rpm
Comment 12 Christopher Meng 2013-10-29 00:27:45 EDT
Another note is that upstream allows packagers to modify some lines(which I've modified via sed to match the FHS or actual needs).

You can check the comments in the pl files.
Comment 13 Michael Schwendt 2013-10-29 06:21:46 EDT
Preserving timestamps is somewhat controversial, and it is something where a packager ought not to exxaggerate. It is not a MUST, but a SHOULD in some cases only. Mostly: prebuilt files that are installed manually during %install. If you need to modify a prebuilt file (even when using sed), don't try to too hard to restore its original timestamp. Some packagers do that (e.g. because all they do is to replace line delimiters), but the guidelines don't mandate it.

Preserving timestamps dates back to fedora.us, where we have found it to be a nice idea with %doc files, so the user may recognise the age of old software/documentation when visiting them in %_docdir. That has been considered helpful also in other cases, such as default configuration files. After installing a regularly updated package in 2013, you may notice that the included documentation and config files are from 2001, and that may be a helpful hint in various ways. As a plus: when running intrusion detection software such as AIDE or Tripwire, you don't need to disable timestamp change logging for such files in packages, which are updated often without changing the file contents actually.
Comment 14 Scott Talbert 2013-10-29 19:25:09 EDT
Latest rev looks good to me!
Comment 15 Christopher Meng 2013-10-29 21:38:21 EDT
Thanks!

New Package SCM Request
=======================
Package Name: RemoteBox
Short Description: Open Source VirtualBox Client with Remote Management
Owners: cicku
Branches: f19 f20 el6
Comment 16 Jon Ciesla 2013-10-30 07:58:08 EDT
Git done (by process-git-requests).
Comment 17 Fedora Update System 2013-10-30 22:44:53 EDT
RemoteBox-1.6-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/RemoteBox-1.6-2.el6
Comment 18 Fedora Update System 2013-10-30 22:47:27 EDT
RemoteBox-1.6-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/RemoteBox-1.6-2.fc19
Comment 19 Fedora Update System 2013-10-30 22:53:49 EDT
RemoteBox-1.6-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/RemoteBox-1.6-2.fc20
Comment 20 Fedora Update System 2013-10-31 13:25:18 EDT
RemoteBox-1.6-2.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 21 Fedora Update System 2013-11-05 05:05:34 EST
RemoteBox-1.6-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/RemoteBox-1.6-3.el6
Comment 22 Fedora Update System 2013-11-08 07:03:27 EST
RemoteBox-1.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/RemoteBox-1.1-1.el6
Comment 23 Fedora Update System 2013-11-08 22:29:01 EST
RemoteBox-1.6-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 24 Fedora Update System 2013-11-10 01:09:36 EST
RemoteBox-1.6-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 25 Fedora Update System 2013-11-24 13:37:36 EST
RemoteBox-1.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 26 Christopher Meng 2014-02-07 01:36:44 EST
Package Change Request
======================
Package Name: RemoteBox
New Branches: epel7
Owners: cicku
Comment 27 Jon Ciesla 2014-02-07 07:38:02 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.